VkPhysicalDeviceFeatures Struct Reference

`#include <vulkan.h>`

## Data Fields

VkBool32 | robustBufferAccess
VkBool32 | fullDrawIndexUint32
VkBool32 | imageCubeArray
VkBool32 | independentBlend
VkBool32 | geometryShader
VkBool32 | tessellationShader
VkBool32 | sampleRateShading
VkBool32 | dualSrcBlend
VkBool32 | logicOp
VkBool32 | multiDrawIndirect
VkBool32 | drawIndirectFirstInstance
VkBool32 | depthClamp
VkBool32 | depthBiasClamp
VkBool32 | fillModeNonSolid
VkBool32 | depthBounds
VkBool32 | wideLines
VkBool32 | largePoints
VkBool32 | alphaToOne
VkBool32 | multiViewport
VkBool32 | samplerAnisotropy
VkBool32 | textureCompressionETC2
VkBool32 | textureCompressionASTC_LDR
VkBool32 | textureCompressionBC
VkBool32 | occlusionQueryPrecise
VkBool32 | pipelineStatisticsQuery
VkBool32 | vertexPipelineStoresAndAtomics
VkBool32 | fragmentStoresAndAtomics
VkBool32 | shaderTessellationAndGeometryPointSize
VkBool32 | shaderImageGatherExtended
VkBool32 | shaderStorageImageExtendedFormats
VkBool32 | shaderStorageImageMultisample
VkBool32 | shaderStorageImageReadWithoutFormat
VkBool32 | shaderStorageImageWriteWithoutFormat
VkBool32 | shaderUniformBufferArrayDynamicIndexing
VkBool32 | shaderSampledImageArrayDynamicIndexing
VkBool32 | shaderStorageBufferArrayDynamicIndexing
VkBool32 | shaderStorageImageArrayDynamicIndexing
VkBool32 | shaderClipDistance
VkBool32 | shaderCullDistance
VkBool32 | shaderFloat64
VkBool32 | shaderInt64
VkBool32 | shaderInt16
VkBool32 | shaderResourceResidency
VkBool32 | shaderResourceMinLod
VkBool32 | sparseBinding
VkBool32 | sparseResidencyBuffer
VkBool32 | sparseResidencyImage2D
VkBool32 | sparseResidencyImage3D
VkBool32 | sparseResidency2Samples
VkBool32 | sparseResidency4Samples
VkBool32 | sparseResidency8Samples
VkBool32 | sparseResidency16Samples
VkBool32 | sparseResidencyAliased
VkBool32 | variableMultisampleRate
VkBool32 | inheritedQueries

## Detailed Description

Definition at line 1428 of file vulkan.h.

## Field Documentation

## alphaToOne

VkBool32 VkPhysicalDeviceFeatures::alphaToOne

Definition at line 1446 of file vulkan.h.

## depthBiasClamp

VkBool32 VkPhysicalDeviceFeatures::depthBiasClamp

Definition at line 1441 of file vulkan.h.

## depthBounds

VkBool32 VkPhysicalDeviceFeatures::depthBounds

Definition at line 1443 of file vulkan.h.

## depthClamp

VkBool32 VkPhysicalDeviceFeatures::depthClamp

Definition at line 1440 of file vulkan.h.

## drawIndirectFirstInstance

VkBool32 VkPhysicalDeviceFeatures::drawIndirectFirstInstance

Definition at line 1439 of file vulkan.h.

## dualSrcBlend

VkBool32 VkPhysicalDeviceFeatures::dualSrcBlend

Definition at line 1436 of file vulkan.h.

## fillModeNonSolid

VkBool32 VkPhysicalDeviceFeatures::fillModeNonSolid

Definition at line 1442 of file vulkan.h.

## fragmentStoresAndAtomics

VkBool32 VkPhysicalDeviceFeatures::fragmentStoresAndAtomics

Definition at line 1455 of file vulkan.h.

## fullDrawIndexUint32

VkBool32 VkPhysicalDeviceFeatures::fullDrawIndexUint32

Definition at line 1430 of file vulkan.h.

## geometryShader

VkBool32 VkPhysicalDeviceFeatures::geometryShader

Definition at line 1433 of file vulkan.h.

## imageCubeArray

VkBool32 VkPhysicalDeviceFeatures::imageCubeArray

Definition at line 1431 of file vulkan.h.

## independentBlend

VkBool32 VkPhysicalDeviceFeatures::independentBlend

Definition at line 1432 of file vulkan.h.

## inheritedQueries

VkBool32 VkPhysicalDeviceFeatures::inheritedQueries

Definition at line 1483 of file vulkan.h.

## largePoints

VkBool32 VkPhysicalDeviceFeatures::largePoints

Definition at line 1445 of file vulkan.h.

## logicOp

VkBool32 VkPhysicalDeviceFeatures::logicOp

Definition at line 1437 of file vulkan.h.

## multiDrawIndirect

VkBool32 VkPhysicalDeviceFeatures::multiDrawIndirect

Definition at line 1438 of file vulkan.h.

## multiViewport

VkBool32 VkPhysicalDeviceFeatures::multiViewport

Definition at line 1447 of file vulkan.h.

## occlusionQueryPrecise

VkBool32 VkPhysicalDeviceFeatures::occlusionQueryPrecise

Definition at line 1452 of file vulkan.h.

## pipelineStatisticsQuery

VkBool32 VkPhysicalDeviceFeatures::pipelineStatisticsQuery

Definition at line 1453 of file vulkan.h.

## robustBufferAccess

VkBool32 VkPhysicalDeviceFeatures::robustBufferAccess

Definition at line 1429 of file vulkan.h.

## samplerAnisotropy

VkBool32 VkPhysicalDeviceFeatures::samplerAnisotropy

Definition at line 1448 of file vulkan.h.

## sampleRateShading

VkBool32 VkPhysicalDeviceFeatures::sampleRateShading

Definition at line 1435 of file vulkan.h.

## shaderClipDistance

VkBool32 VkPhysicalDeviceFeatures::shaderClipDistance

Definition at line 1466 of file vulkan.h.

## shaderCullDistance

VkBool32 VkPhysicalDeviceFeatures::shaderCullDistance

Definition at line 1467 of file vulkan.h.

## shaderFloat64

VkBool32 VkPhysicalDeviceFeatures::shaderFloat64

Definition at line 1468 of file vulkan.h.

## shaderImageGatherExtended

VkBool32 VkPhysicalDeviceFeatures::shaderImageGatherExtended

Definition at line 1457 of file vulkan.h.

## shaderInt16

VkBool32 VkPhysicalDeviceFeatures::shaderInt16

Definition at line 1470 of file vulkan.h.

## shaderInt64

VkBool32 VkPhysicalDeviceFeatures::shaderInt64

Definition at line 1469 of file vulkan.h.

## shaderResourceMinLod

VkBool32 VkPhysicalDeviceFeatures::shaderResourceMinLod

Definition at line 1472 of file vulkan.h.

## shaderResourceResidency

VkBool32 VkPhysicalDeviceFeatures::shaderResourceResidency

Definition at line 1471 of file vulkan.h.

## shaderSampledImageArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderSampledImageArrayDynamicIndexing

Definition at line 1463 of file vulkan.h.

## shaderStorageBufferArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderStorageBufferArrayDynamicIndexing

Definition at line 1464 of file vulkan.h.

## shaderStorageImageArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageArrayDynamicIndexing

Definition at line 1465 of file vulkan.h.

## shaderStorageImageExtendedFormats

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageExtendedFormats

Definition at line 1458 of file vulkan.h.

## shaderStorageImageMultisample

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageMultisample

Definition at line 1459 of file vulkan.h.

## shaderStorageImageReadWithoutFormat

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageReadWithoutFormat

Definition at line 1460 of file vulkan.h.

## shaderStorageImageWriteWithoutFormat

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageWriteWithoutFormat

Definition at line 1461 of file vulkan.h.

## shaderTessellationAndGeometryPointSize

VkBool32 VkPhysicalDeviceFeatures::shaderTessellationAndGeometryPointSize

Definition at line 1456 of file vulkan.h.

## shaderUniformBufferArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderUniformBufferArrayDynamicIndexing

Definition at line 1462 of file vulkan.h.

## sparseBinding

VkBool32 VkPhysicalDeviceFeatures::sparseBinding

Definition at line 1473 of file vulkan.h.

## sparseResidency16Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency16Samples

Definition at line 1480 of file vulkan.h.

## sparseResidency2Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency2Samples

Definition at line 1477 of file vulkan.h.

## sparseResidency4Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency4Samples

Definition at line 1478 of file vulkan.h.

## sparseResidency8Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency8Samples

Definition at line 1479 of file vulkan.h.

## sparseResidencyAliased

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyAliased

Definition at line 1481 of file vulkan.h.

## sparseResidencyBuffer

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyBuffer

Definition at line 1474 of file vulkan.h.

## sparseResidencyImage2D

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyImage2D

Definition at line 1475 of file vulkan.h.

## sparseResidencyImage3D

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyImage3D

Definition at line 1476 of file vulkan.h.

## tessellationShader

VkBool32 VkPhysicalDeviceFeatures::tessellationShader

Definition at line 1434 of file vulkan.h.

## textureCompressionASTC_LDR

VkBool32 VkPhysicalDeviceFeatures::textureCompressionASTC_LDR

Definition at line 1450 of file vulkan.h.

## textureCompressionBC

VkBool32 VkPhysicalDeviceFeatures::textureCompressionBC

Definition at line 1451 of file vulkan.h.

## textureCompressionETC2

VkBool32 VkPhysicalDeviceFeatures::textureCompressionETC2

Definition at line 1449 of file vulkan.h.

## variableMultisampleRate

VkBool32 VkPhysicalDeviceFeatures::variableMultisampleRate

Definition at line 1482 of file vulkan.h.

## vertexPipelineStoresAndAtomics

VkBool32 VkPhysicalDeviceFeatures::vertexPipelineStoresAndAtomics

Definition at line 1454 of file vulkan.h.

## wideLines

VkBool32 VkPhysicalDeviceFeatures::wideLines

Definition at line 1444 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h